DS_COPY_ARRAY(3)

FUNCTION
ds_copy_array - Recursively copy array data.

SYNOPSIS
#include <karma_ds.h>

flag ds_copy_array

(array_desc *inp_desc, CONST char *inp_data, array_desc *out_desc, char *out_data)

DESCRIPTION
This routine will copy data from one array to another. The two arrays must be the same, else the copying process will stop. The routine recursively copies data in the array packets. For information on the copying rules when the two list descriptors differ, see the routine <-ds_copy_data->.

inp_desc
    The input array descriptor.

inp_data
    The input array data.

out_desc
    The output array descriptor.

out_data
    The output data memory allocation.

RETURN VALUE
TRUE if the two array descriptors are identical, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/